Summary:	Perl interface for cyclic redundancy check generation
Name:		perl-String-CRC32
Version:	1.3
Release:	1%{?dist}
License:	Public Domain
Group:		Development/Libraries
Url:		http://search.cpan.org/dist/String-CRC32/
Source0:	http://search.cpan.org/CPAN/authors/id/S/SO/SOENKE/String-CRC32-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
The CRC32 module calculates CRC sums of 32 bit lengths. It generates the same
CRC values as ZMODEM, PKZIP, PICCHECK and many others. Despite its name, this
module is able to compute the checksum of files as well as strings.

%prep
%setup -q -n String-CRC32-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install PERL_INSTALL_ROOT=%{buildroot}
/usr/bin/find %{buildroot} -type f -name .packlist -exec %{__rm} -f {} ';'
/usr/bin/find %{buildroot} -type f -name '*.bs' -a -size 0 -exec %{__rm} -f {} ';'
/usr/bin/find %{buildroot} -type d -depth -exec /bin/rmdir {} 2>/dev/null ';'
%{__chmod} -R u+w %{buildroot}/*

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,0755)
%doc README
%{perl_vendorarch}/String/
%{perl_vendorarch}/auto/String/
%{_mandir}/man3/String::CRC32.3pm*

%changelog
* Fri Nov 25 2005 Paul Howarth <paul@city-fan.org> 1.3-1
- Initial build
